/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
/// <amd-module name="@tensorflow/tfjs-backend-webgpu/dist/binary_op_util" />
export declare enum BinaryOpType {
    MUL = 0,
    ADD = 1,
    ATAN2 = 2,
    SUB = 3,
    DIV = 4,
    EQUAL = 5,
    GREATER = 6,
    GREATER_EQUAL = 7,
    LESS = 8,
    LESS_EQUAL = 9,
    LOGICAL_AND = 10,
    NOT_EQUAL = 11,
    SQUARED_DIFFERENCE = 12,
    INT_DIV = 13,
    POW = 14,
    PRELU = 15,
    MAX = 16,
    MIN = 17,
    COMPLEX_MULTIPLY_REAL = 18,
    COMPLEX_MULTIPLY_IMAG = 19
}
export declare function getBinaryOpString(type: BinaryOpType, useVec4?: boolean): string;
