/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use backend file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
/// <amd-module name="@tensorflow/tfjs-backend-webgpu/dist/kernels/FromPixels" />
import { KernelConfig } from '@tensorflow/tfjs-core';
import { FromPixelsAttrs, FromPixelsInputs } from '@tensorflow/tfjs-core';
import { TensorInfo } from '@tensorflow/tfjs-core';
import { WebGPUBackend } from '../backend_webgpu';
export declare const fromPixelsConfig: KernelConfig;
export declare function fromPixels(args: {
    inputs: FromPixelsInputs;
    backend: WebGPUBackend;
    attrs: FromPixelsAttrs;
}): TensorInfo;
