/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
/// <amd-module name="@tensorflow/tfjs-backend-webgpu/dist/unary_op_util" />
export declare enum UnaryOpType {
    ABS = 0,
    CEIL = 1,
    COS = 2,
    COSH = 3,
    ELU = 4,
    EXP = 5,
    EXPM1 = 6,
    FLOOR = 7,
    IS_NAN = 8,
    LINEAR = 9,
    LOG = 10,
    LOGICAL_NOT = 11,
    NEG = 12,
    RELU = 13,
    RELU6 = 14,
    LEAKYRELU = 15,
    RECIPROCAL = 16,
    RSQRT = 17,
    SIN = 18,
    SINH = 19,
    SIGMOID = 20,
    SQRT = 21,
    SQUARE = 22,
    TANH = 23,
    TO_INT = 24
}
export declare function getUnaryOpString(type: UnaryOpType, useVec4?: boolean): string;
