/// <amd-module name="@tensorflow/tfjs-backend-webgpu/dist/webgpu_util" />
/**
 * @license
 * Copyright 2019 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import { DataType } from '@tensorflow/tfjs-core';
export declare function tilesFitEvenlyIntoShape(tileSize: number[], shape: number[]): boolean;
export declare function computeDispatch(layout: {
    x: number[];
    y?: number[];
    z?: number[];
}, outputShape: number[], workGroupSize?: [number, number, number], elementsPerThread?: [number, number, number]): [number, number, number];
export declare type WorkGroupInfo = {
    workGroupSize: [number, number, number];
    elementsPerThread: [number, number, number];
};
export declare function computeWorkGroupInfoForMatMul(dimAOuter: number, dimInner: number, dimBOuter: number, transposeA?: boolean): WorkGroupInfo;
export declare function computeWorkGroupSizeForConv2d(layout: {
    x: number[];
    y?: number[];
    z?: number[];
}, outputShape: number[], isVec4?: boolean): [number, number, number];
export declare function computeWorkPerThreadForConv2d(layout: {
    x: number[];
    y?: number[];
    z?: number[];
}, outputShape: number[], isVec4?: boolean): [number, number, number];
export declare function flatDispatchLayout(shape: number[]): {
    x: number[];
};
export declare function GPUBytesPerElement(dtype: DataType): number;
export declare function ArrayBufferToTypedArray(data: ArrayBuffer, dtype: DataType): import("@tensorflow/tfjs-core").TypedArray;
export declare function isWebGPUSupported(): boolean;
export declare enum MatMulProgramType {
    MatMulReduceProgram = 0,
    MatMulSplitKProgram = 1,
    MatMulSmallOutputSizeProgram = 2,
    MatMulPackedProgram = 3,
    MatMulMax = 4
}
